/**
 * Load a local template.¬
 * @function task.worker._loadLocalTmpl
 * @param {string} name - Template name.
 * @param {function} callback - Callback when done.
 * @protected
 * @ignore
 * @author Taka Okunishi
 */
var lib = require('../../lib'),
    file = lib.file,
    path = require('path');

module.exports = function (name, callback) {
    var tmplDir = path.resolve(__dirname, '../../tmpl'),
        tmplFile = path.resolve(tmplDir, name);
    file.loadHbsTmpl(tmplFile, callback);
};